3

Minecraft 1.12.2 and below won't load on Ubuntu 18.4. It is crashing right after I launch it. When it crashes it just says "An unexpected error occurred and the game has crashed. We're sorry for the inconvenience." The logs end up like this

[20:18:38] [Client thread/INFO]: Setting user: Notme2222
[20:18:39] [Client thread/INFO]: LWJGL Version: 2.9.4

The LWJGL version varies based on what version I'm trying to run, the one above is 1.12.2. Any LWJGL version above 3.0.0 works, which is 1.13 and up. I think the LWJGL is the problem but I don't know how to fix it. I have downloaded the latest version (2.9.3 + dfsg-1) of liblwjgl-java, liblwjgl-java-doc, and liblwjgl-java-jni from synaptic package manager.

Any help is appreciated. Thanks

  • Hmmm. My Minecraft server runs smooth and easy using OpenJDK 11, right out of the 19.10 Ubuntu repositories. – user535733 Feb 21 at 2:42
  • The issue persists on 19.10 – CStafford-14 Mar 5 at 22:58
1

The reason why its crashing is because of java 11. you need to install java 8 and under and everything should be fine. here's a post on how to do it: Downgrading Java 11 to java 8?. and if that doesn't work go and try a youtube video on how to do it.

| improve this answer | |
  • This answer works. Fixed everything. – CStafford-14 Mar 5 at 23:03

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.